
Sub updateFlyout
            strTitle = ""
            strHtml = ""
            Set objLocator = CreateObject("WbemScripting.SWbemLocator")
            Set objWMIService = objLocator.ConnectServer(MachineName, "root\cimv2")
            Set colItems = objWMIService.ExecQuery("SELECT * FROM Win32_NetworkAdapterConfiguration")

            For Each objItem in colItems
                if isNull(objItem.IPAddress) = false then
                   strTitle = objItem.DNSHostName
                   strHtml = "<table>"
                   strHtml = strHtml & "<tr><td><b>IP Address: </b></td><td>" & objItem.IPAddress(0) & "</td></tr>"
                   strHtml = strHtml & "<tr><td><b>MAC Address: </b></td><td>" & objItem.MACAddress & "</td></tr>"
                End if
             Next
             Comname.InnerHTML = strTitle
             Adresses.innerHTML = strHtml
             ShowHost()
             SetUpTime
End Sub

Sub SetUpTime

	Set objLocator = CreateObject("WbemScripting.SWbemLocator")
	Set objWMIService = objLocator.ConnectServer(MachineName, "root\cimv2")
	Set colOperatingSystems = objWMIService.ExecQuery("Select * from Win32_OperatingSystem")
		 
		For Each objOS in colOperatingSystems

			dtmBootup = objOS.LastBootUpTime
			dtmLastBootupTime = WMIDateStringToDate(dtmBootup)
			dtmSystemUptimeSecs = DateDiff("s", dtmLastBootUpTime, Now)

			intSecsTotal     = dtmSystemUptimeSecs
			intDays           = Fix( intSecsTotal / 86400 )
			intSecsRemaining = ( intSecsTotal - ( intDays * 86400 ))
			intSecsTotal     = intSecsRemaining
			intHours         = Fix( intSecsTotal / 3600 )
			intSecsRemaining = ( intSecsTotal - ( intHours * 3600 ))
			intSecsTotal     = intSecsRemaining
			intMinutes       = Fix( intSecsTotal / 60 )
			intSeconds       = ( intSecsTotal - ( intMinutes * 60 ))
		 
			
			if intDays = 0 and intHours = 0 and intMinutes = 0 then
              upTime.innerText = "Up Time : " & intSeconds & "s"
            elseif intDays = 0 and intHours = 0 then
             upTime.innerText = "Up Time : " & intMinutes & "m "  & intSeconds & "s"
            elseif intDays = 0 then
             upTime.innerText = "Up Time : " & intHours & "h " & intMinutes & "m "  & intSeconds & "s"
             else
             upTime.innerText = "Up Time : " & intDays & "d "  & intHours & "h " & intMinutes & "m "  & intSeconds & "s" 
            end If
		
			setTimeout "SetUpTime()", 1000
		
		Next
				
End Sub


Function WMIDateStringToDate(dtmBootup)
	
	WMIDateStringToDate = CDate(Mid(dtmBootup, 7, 2) & "/" & _
	Mid(dtmBootup, 5, 2) & "/" & Left(dtmBootup, 4) _
	& " " & Mid (dtmBootup, 9, 2) & ":" & _
	Mid(dtmBootup, 11, 2) & ":" & Mid(dtmBootup,13, 2))

End Function
